## pycares 2.1.1

=== debian/changelog ===
pycares (2.1.1-2build2) artful; urgency=medium

  * No change rebuild to drop Python 3.5 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Sat, 05 Aug 2017 21:25:05 +1200

pycares (2.1.1-2build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 12 May 2017 12:11:02 +1200

pycares (2.1.1-2) unstable; urgency=medium

  * debian/rules, debian/add-ons/configure: use configure script from c-ares
    to generate ares_config.h, necessary for building on any architecture.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Tue, 15 Nov 2016 23:23:37 +0100

pycares (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: remove fix-doc-build.patch which as been applied upstream.
  * debian/watch: use substitutions to make it more generic, and do not use
    uupdate automatically.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sun, 09 Oct 2016 16:58:28 +0200

pycares (2.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #835348)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Thu, 25 Aug 2016 15:39:48 +0200

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME = pycares

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_configure:
	dh_auto_configure
	# Copy configure files to regenerate ares_config.h
	cp debian/add-ons/configure/* deps/c-ares/src
	# Run configure script
	deps/c-ares/src/configure
	# We are only interested in ares_config.h, therefore removing
	# other generated files. We do that here rather than on clean
	# because the Makefile could get used at build!
	rm -rf .deps Makefile ares_build.h config.log config.status \
	    libcares.pc stamp-h1 stamp-h2
	# Remove configure files
	rm $(addprefix deps/c-ares/src/,$(notdir $(wildcard debian/add-ons/configure/*)))
	# Put the ares_config.h in the appropriate directory
	mv ares_config.h deps/c-ares/src

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean
	# Remove the generated ares_config.h
	rm -f deps/c-ares/src/ares_config.h

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

https://github.com/saghul/@PACKAGE@/releases \
    .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian

## pycares 4.4.0

=== deps/c-ares/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.1.0)

INCLUDE (CheckIncludeFiles)
INCLUDE (CheckTypeSize)
INCLUDE (CheckFunctionExists)
INCLUDE (CheckSymbolExists)
INCLUDE (CheckCSourceCompiles)
INCLUDE (CheckStructHasMember)
INCLUDE (CheckLibraryExists)

PROJECT (c-ares LANGUAGES C VERSION "1.18.0" )

# Set this version before release
SET (CARES_VERSION "${PROJECT_VERSION}")

INCLUDE (GNUInstallDirs) # include this *AFTER* PROJECT(), otherwise paths are wrong.

# This is for libtool compatibility, and specified in a form that is easily
# translatable from libtool (even if the actual form doesn't make sense).
# For instance, in an autotools project, in Makefile.am there is a line that
# contains something like:
#     -version-info 4:0:2
# This breaks down into sections of current:revision:age
# This then generates a version of  "(current-age).age.revision"  with an
# interface version of "(current-age)"
# For example, a version of 4:0:2 would generate output such as:
#    libname.so   -> libname.so.2
#    libname.so.2 -> libname.so.2.2.0
SET (CARES_LIB_VERSIONINFO "7:1:5")


OPTION (CARES_STATIC     "Build as a static library"                                             OFF)
OPTION (CARES_SHARED     "Build as a shared library"                                             ON)
OPTION (CARES_INSTALL    "Create installation targets (chain builders may want to disable this)" ON)
OPTION (CARES_STATIC_PIC "Build the static library as PIC (position independent)"                OFF)
OPTION (CARES_BUILD_TESTS "Build and run tests"                                                  OFF)
OPTION (CARES_BUILD_CONTAINER_TESTS "Build and run container tests (implies CARES_BUILD_TESTS, Linux only)" OFF)
OPTION (CARES_BUILD_TOOLS "Build tools"                                                          ON)

# Tests require static to be enabled on Windows to be able to access otherwise hidden symbols
IF (CARES_BUILD_TESTS AND (NOT CARES_STATIC) AND WIN32)
	SET (CARES_STATIC ON)
	SET (CARES_STATIC_PIC ON)
	MESSAGE (WARNING "Static building was requested be disabled, but reenabled to support tests")
ENDIF ()

# allow linking against the static runtime library in msvc
IF (MSVC)
	OPTION (CARES_MSVC_STATIC_RUNTIME "Link against the static runtime library" OFF)
	IF (CARES_MSVC_STATIC_RUNTIME)
		# CMAKE_CONFIGURATION_TYPES is empty on non-IDE generators (Ninja, NMake)
		# and that's why we also use CMAKE_BUILD_TYPE to cover for those generators.
		# For IDE generators, CMAKE_BUILD_TYPE is usually empty
		FOREACH (config_type ${CMAKE_CONFIGURATION_TYPES} ${CMAKE_BUILD_TYPE})
			STRING (TOUPPER ${config_type} upper_config_type)
			SET (flag_var "CMAKE_C_FLAGS_${upper_config_type}")
			IF (${flag_var} MATCHES "/MD")
				STRING (REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
			ENDIF ()
		ENDFOREACH ()

		# clean up
		SET (upper_config_type)
		SET (config_type)
		SET (flag_var)
	ENDIF ()
ENDIF ()

# Keep build organized.
SET (CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}")
SET (CMAKE_LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
SET (CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}")
SET (PACKAGE_DIRECTORY ${PROJECT_BINARY_DIR}/package)

# Destinations for installing different kinds of targets (pass to install command).
SET (TARGETS_INST_DEST
	RUNTIME DESTINATION  ${CMAKE_INSTALL_BINDIR}
	BUNDLE DESTINATION   ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION  ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION  ${CMAKE_INSTALL_LIBDIR}
)

# Function in Library
# CHECK_LIBRARY_EXISTS can't be used as it will return true if the function
# is found in a different dependent library.
MACRO (CARES_FUNCTION_IN_LIBRARY func lib var)
	CHECK_FUNCTION_EXISTS ("${func}" "_CARES_FUNC_IN_LIB_GLOBAL_${func}")
	IF ("${_CARES_FUNC_IN_LIB_GLOBAL_${func}}")
		SET (${var} FALSE)
	ELSE ()
		CHECK_LIBRARY_EXISTS ("${lib}" "${func}" "" ${var})
	ENDIF ()
ENDMACRO ()

# Look for dependent/required libraries
CARES_FUNCTION_IN_LIBRARY (res_servicename resolv HAVE_RES_SERVICENAME_IN_LIBRESOLV)
IF (HAVE_RES_SERVICENAME_IN_LIBRESOLV)
	SET (HAVE_LIBRESOLV 1)
ENDIF ()

IF (APPLE)
	CHECK_C_SOURCE_COMPILES ("
	#include <stdio.h>
	#include <TargetConditionals.h>
	int main() {
#if TARGET_OS_IPHONE == 0
#error Not an iPhone target
#endif
return 0;
	}
	"
	IOS)

	CHECK_C_SOURCE_COMPILES ("
#include <stdio.h>
#include <TargetConditionals.h>
	int main() {
#if TARGET_OS_IPHONE == 0 || __IPHONE_OS_VERSION_MIN_REQUIRED < 100000
#  error Not iOS v10
#endif
return 0;
	}
	"
	IOS_V10)

	CHECK_C_SOURCE_COMPILES ("
#include <stdio.h>
#include <AvailabilityMacros.h>
#ifndef MAC_OS_X_VERSION_10_12
#  define MAC_OS_X_VERSION_10_12 101200
#endif
	int main() {
#if MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_12
#  error Not MacOSX 10.12 or higher
#endif
return 0;
	}
	"
	MACOS_V1012)
ENDIF ()

IF ((IOS OR APPLE OR ZOS) AND HAVE_LIBRESOLV)
	SET (CARES_USE_LIBRESOLV 1)
ENDIF()


CARES_FUNCTION_IN_LIBRARY (gethostbyname nsl HAVE_LIBNSL)
CARES_FUNCTION_IN_LIBRARY (gethostbyname socket HAVE_GHBN_LIBSOCKET)
CARES_FUNCTION_IN_LIBRARY (gethostbyname network HAVE_LIBNETWORK)
CARES_FUNCTION_IN_LIBRARY (socket socket HAVE_SOCKET_LIBSOCKET)
IF (HAVE_GHBN_LIBSOCKET OR HAVE_SOCKET_LIBSOCKET)
	SET(HAVE_LIBSOCKET TRUE)
ENDIF ()
CARES_FUNCTION_IN_LIBRARY (socket network HAVE_LIBNETWORK)
CARES_FUNCTION_IN_LIBRARY (clock_gettime rt HAVE_LIBRT)


# Look for necessary includes
CHECK_INCLUDE_FILES (sys/types.h           HAVE_SYS_TYPES_H)
CHECK_INCLUDE_FILES (sys/socket.h          HAVE_SYS_SOCKET_H)
CHECK_INCLUDE_FILES (sys/sockio.h          HAVE_SYS_SOCKIO_H)
CHECK_INCLUDE_FILES (arpa/inet.h           HAVE_ARPA_INET_H)
CHECK_INCLUDE_FILES (arpa/nameser_compat.h HAVE_ARPA_NAMESER_COMPAT_H)
CHECK_INCLUDE_FILES (arpa/nameser.h        HAVE_ARPA_NAMESER_H)
CHECK_INCLUDE_FILES (assert.h              HAVE_ASSERT_H)
CHECK_INCLUDE_FILES (errno.h               HAVE_ERRNO_H)
CHECK_INCLUDE_FILES (fcntl.h               HAVE_FCNTL_H)
CHECK_INCLUDE_FILES (inttypes.h            HAVE_INTTYPES_H)
CHECK_INCLUDE_FILES (limits.h              HAVE_LIMITS_H)
CHECK_INCLUDE_FILES (malloc.h              HAVE_MALLOC_H)
CHECK_INCLUDE_FILES (memory.h              HAVE_MEMORY_H)
CHECK_INCLUDE_FILES (netdb.h               HAVE_NETDB_H)
CHECK_INCLUDE_FILES (netinet/in.h          HAVE_NETINET_IN_H)
CHECK_INCLUDE_FILES (net/if.h              HAVE_NET_IF_H)
CHECK_INCLUDE_FILES (signal.h              HAVE_SIGNAL_H)
CHECK_INCLUDE_FILES (socket.h              HAVE_SOCKET_H)
CHECK_INCLUDE_FILES (stdbool.h             HAVE_STDBOOL_H)
CHECK_INCLUDE_FILES (stdint.h              HAVE_STDINT_H)
CHECK_INCLUDE_FILES (stdlib.h              HAVE_STDLIB_H)
CHECK_INCLUDE_FILES (strings.h             HAVE_STRINGS_H)
CHECK_INCLUDE_FILES (string.h              HAVE_STRING_H)
CHECK_INCLUDE_FILES (stropts.h             HAVE_STROPTS_H)
CHECK_INCLUDE_FILES (sys/ioctl.h           HAVE_SYS_IOCTL_H)
CHECK_INCLUDE_FILES (sys/param.h           HAVE_SYS_PARAM_H)
CHECK_INCLUDE_FILES (sys/select.h          HAVE_SYS_SELECT_H)
CHECK_INCLUDE_FILES (sys/stat.h            HAVE_SYS_STAT_H)
CHECK_INCLUDE_FILES (sys/time.h            HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES (sys/uio.h             HAVE_SYS_UIO_H)
CHECK_INCLUDE_FILES (time.h                HAVE_TIME_H)
CHECK_INCLUDE_FILES (dlfcn.h               HAVE_DLFCN_H)
CHECK_INCLUDE_FILES (unistd.h              HAVE_UNISTD_H)

# On OpenBSD, you must include sys/types.h before netinet/tcp.h
IF (HAVE_SYS_TYPES_H)
  CHECK_INCLUDE_FILES ("sys/types.h;netinet/tcp.h"         HAVE_NETINET_TCP_H)
ELSE ()
  CHECK_INCLUDE_FILES (netinet/tcp.h                       HAVE_NETINET_TCP_H)
ENDIF ()

# Include order matters for these windows files.
# As cygwin environment has both socket.h and winsock2.h
# headers check WIN32 not to include the later one here
IF (WIN32)
CHECK_INCLUDE_FILES ("winsock2.h;windows.h"            HAVE_WINSOCK2_H)
CHECK_INCLUDE_FILES ("winsock2.h;ws2tcpip.h;windows.h" HAVE_WS2TCPIP_H)
CHECK_INCLUDE_FILES ("winsock.h;windows.h"             HAVE_WINSOCK_H)
CHECK_INCLUDE_FILES (windows.h                         HAVE_WINDOWS_H)
ENDIF ()

# Set system-specific compiler flags
IF (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
	LIST (APPEND SYSFLAGS -D_DARWIN_C_SOURCE)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "Linux")
	LIST (APPEND SYSFLAGS -D_GNU_SOURCE -D_POSIX_C_SOURCE=199309L -D_XOPEN_SOURCE=600)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "SunOS")
	LIST (APPEND SYSFLAGS -D__EXTENSIONS__ -D_REENTRANT -D_XOPEN_SOURCE=600)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "AIX")
	LIST (APPEND SYSFLAGS -D_ALL_SOURCE -D_XOPEN_SOURCE=600 -D_USE_IRS)
ELSEIF (CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
	# Don't define _XOPEN_SOURCE on FreeBSD, it actually reduces visibility instead of increasing it
ELSEIF (WIN32)
	LIST (APPEND SYSFLAGS -DWIN32_LEAN_AND_MEAN -D_CRT_SECURE_NO_DEPRECATE -D_CRT_NONSTDC_NO_DEPRECATE -D_WIN32_WINNT=0x0600)
ENDIF ()
ADD_DEFINITIONS(${SYSFLAGS})



# Tell C-Ares about libraries to depend on
IF (HAVE_LIBRESOLV)
	LIST (APPEND CARES_DEPENDENT_LIBS resolv)
ENDIF ()
IF (HAVE_LIBNSL)
	LIST (APPEND CARES_DEPENDENT_LIBS nsl)
ENDIF ()
IF (HAVE_LIBSOCKET)
	LIST (APPEND CARES_DEPENDENT_LIBS socket)
ENDIF ()
IF (HAVE_LIBNETWORK)
	LIST (APPEND CARES_DEPENDENT_LIBS network)
ENDIF ()
IF (HAVE_LIBRT)
	LIST (APPEND CARES_DEPENDENT_LIBS rt)
ENDIF ()
IF (WIN32)
	LIST (APPEND CARES_DEPENDENT_LIBS ws2_32 advapi32 iphlpapi)
ENDIF ()


# When checking for symbols, we need to make sure we set the proper
# headers, libraries, and definitions for the detection to work properly
# CMAKE_REQUIRED_DEFINITIONS, CMAKE_REQUIRED_LIBRARIES, and
# CMAKE_EXTRA_INCLUDE_FILES.  When we're done with the detection, we'll
# unset them.

SET (CMAKE_REQUIRED_DEFINITIONS ${SYSFLAGS})
LIST (APPEND CMAKE_REQUIRED_LIBRARIES ${CARES_DEPENDENT_LIBS})

MACRO (CARES_EXTRAINCLUDE_IFSET var include)
	IF (${var})
		LIST (APPEND CMAKE_EXTRA_INCLUDE_FILES ${include})
	ENDIF ()
ENDMACRO ()

CARES_EXTRAINCLUDE_IFSET (HAVE_STDBOOL_H      stdbool.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_TYPES_H    sys/types.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_ARPA_INET_H    arpa/inet.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_ARPA_NAMESER_H arpa/nameser.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NETDB_H        netdb.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NET_IF_H       net/if.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NETINET_IN_H   netinet/in.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_NETINET_TCP_H  netinet/tcp.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SIGNAL_H       signal.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_STDLIB_H       stdlib.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_STRING_H       string.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_STRINGS_H      strings.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_IOCTL_H    sys/ioctl.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_SELECT_H   sys/select.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_SOCKET_H   sys/socket.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_SOCKIO_H	sys/sockio.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_TIME_H     sys/time.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_SYS_UIO_H      sys/uio.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_TIME_H         time.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_FCNTL_H        fcntl.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_UNISTD_H       unistd.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_WINSOCK2_H     winsock2.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_WS2TCPIP_H     ws2tcpip.h)
CARES_EXTRAINCLUDE_IFSET (HAVE_WINDOWS_H      windows.h)

# Check Types
# CHECK_TYPE_SIZE can't be used to see if a type exists because on Apple when
# building multi-arch, it will throw an error.  So we need to wrap
# CHECK_C_SOURCE_COMPILES for our tests.
MACRO (CARES_TYPE_EXISTS type var)
	SET(_CARES_C_SOURCE "
		#include <stdio.h>
		#include <stdlib.h>
	")
	FOREACH(_C_HEADER ${CMAKE_EXTRA_INCLUDE_FILES})
		SET(_CARES_C_SOURCE "${_CARES_C_SOURCE}
		#include <${_C_HEADER}>")
	ENDFOREACH(_C_HEADER)

	SET(_CARES_C_SOURCE "${_CARES_C_SOURCE}
		int main() {
			${type} var_exists;
			(void)var_exists;
			return 0;
		}
	")
	CHECK_C_SOURCE_COMPILES ("${_CARES_C_SOURCE}" ${var})
ENDMACRO ()

## pycares 3.1.1

=== debian/changelog ===
pycares (3.1.1-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:32 +0100

pycares (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Jan 2020 01:57:29 -0500

pycares (3.1.0-4) unstable; urgency=medium

  * Run dh_installdocs on all binaries also so debian/copyright is installed
    in all packages (Closes: #948252)
  * Update doc-base for current documentation location and package name

 -- Scott Kitterman <scott@kitterman.com>  Sun, 05 Jan 2020 22:15:36 -0500

pycares (3.1.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Dec 2019 23:33:44 -0500

pycares (3.1.0-2) experimental; urgency=medium

  * Update autopkgtest depends
  * Update debian/copyright
  * d/rules: Use -indep overrides for doc build
  * d/rules: Set --doc-main-package for dh_installdocs and dh_installexamples
    so doc files are installed in /usr/share/doc/python3-pycares
  * Delete obsolete debian/add-ons directory

 -- Scott Kitterman <scott@kitterman.com>  Fri, 20 Dec 2019 00:28:30 -0500

pycares (3.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Daniel Kahn Gillmor ]
  * d/control: Set Vcs-* to salsa.debian.org
  * ship examples in python-pycares-doc
  * set Rules-Requires-Root: no
  * drop unnecessary x-python3-version field
  * move to DEP-14-style gbp branches
  * standards-version: bump to 4.4.1 (no changes needed)
  * update to dh 12
  * run wrap-and-sort -ast
  * d/watch: sort beta versions before released versions

  [ Scott Kitterman ]
  * Set maintainer to DPMT, add myself to uploaders (Closes: #945043)
  * Add build-depends on python3-cffi and python3-idna for pycares 3+
  * Manually add python3-idna to python3-pycares depends
  * New upstream release (Closes: #918991)
  * d/rules: simplify since we no longer need to manually regenerate
    ares_config.h
  * Add autopkgtest

 -- Scott Kitterman <scott@kitterman.com>  Tue, 17 Dec 2019 00:42:01 -0500

pycares (2.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937402

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Oct 2019 18:23:40 -0400

=== debian/control ===
Source: pycares
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-all-dev,
 python3-cffi,
 python3-docutils,
 python3-idna,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.4.1
Homepage: https://github.com/saghul/pycares
Vcs-Git: https://salsa.debian.org/python-team/modules/pycares.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pycares
Rules-Requires-Root: no

Package: python3-pycares
Architecture: any
Depends:
 python3-idna,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-pycares-doc,
Description: Python interface for c-ares (Python 3)
 pycares is a Python module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This package installs the library for Python 3.

Package: python-pycares-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python interface for c-ares (common documentation)
 pycares is a Python 3 module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export PYBUILD_NAME = pycares

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	$(MAKE) -C docs html

override_dh_auto_clean-indep:
	$(MAKE) -C docs clean

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_installdocs:
	dh_installdocs -ppython-pycares-doc --doc-main-package=python3-pycares
	dh_installdocs --remaining-packages

override_dh_installexamples:
	dh_installexamples -ppython-pycares-doc --doc-main-package=python3-pycares

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4
opts=uversionmangle=s/b/~b/ \
https://github.com/saghul/@PACKAGE@/releases \
    .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian

## pycares 4.1.2

=== debian/changelog ===
pycares (4.1.2-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:59 +0100

pycares (4.1.2-2) unstable; urgency=medium

  * Team Upload.
  * Revert: Run test suite at build time.
    This needs Internet access, of course.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 20:06:43 -0800

pycares (4.1.2-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team Upload.
  * New upstream release.
    - Drops bundled c-ares.
  * Bump copyright years.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Run autopkgtest outside the build directory, to run against the installed
    module.
  * Build against system c-ares, now that upstream is no longer carrying
    patches to it.
  * Declare needs-internet in the autopgktest, it relies on foreign DNS
    servers.
  * Patch: Support c-ares 1.18.
  * Run test suite at build time.
  * Drop -Wl,--as-needed, no longer needed explicitly.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 19:21:18 -0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pycares
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Scott Kitterman <scott@kitterman.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ libc-ares-dev,
  python3-all,
  python3-all-dev,
  python3-cffi,
@@ -14,10 +15,10 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/saghul/pycares
-Vcs-Git: https://salsa.debian.org/python-team/modules/pycares.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/pycares
+Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
 Rules-Requires-Root: no
 
 Package: python3-pycares

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,10 @@
 #export DH_VERBOSE = 1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PYBUILD_NAME = pycares
+
+export PYCARES_USE_SYSTEM_LIB = 1
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-pytest
Depends: @, python3-all
Restrictions: allow-stderr, needs-internet

## pycares 4.3.0

=== debian/changelog ===
pycares (4.3.0-2) unstable; urgency=medium

  * Add d/p/0003-Allow-connection-refused-badresolv.conf.patch to address
    inappropriate test failure on Debian CI

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Mar 2023 05:42:48 -0400

pycares (4.3.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Drop c-ares 1.18 patch, superseded upstream.

  [ Scott Kitterman ]
  * New upstream release to align pycares with Debian's c-ares version
  * Point debian/watch at pypi, since that's where the tarballs are now
  * Update autopkgtest to run tests per upstream documentation
  * Add netbase to Suggests and d/test/control test depends
  * Update tests so Debian CI is recognized as a CI environment which causes
    tests which are not expected to work in a CI environment to be skipped
  * Bump standards-version to 4.6.2 without further change
  * Don't run tests during build, needs network
  * Add pybuild-plugin-pyproject to build-depends, since it's the future

 -- Scott Kitterman <scott@kitterman.com>  Mon, 13 Mar 2023 00:28:02 -0400

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
+ pybuild-plugin-pyproject,
  libc-ares-dev,
  python3-all,
  python3-all-dev,
@@ -15,7 +16,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/saghul/pycares
 Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
@@ -30,6 +31,7 @@
  ${shlibs:Depends},
 Suggests:
  python-pycares-doc,
+ netbase,
 Description: Python interface for c-ares (Python 3)
  pycares is a Python module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.

## pycares 4.4.0

=== debian/changelog ===
pycares (4.4.0-2build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:57:00 +0000

pycares (4.4.0-2build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 21:22:03 +0000

pycares (4.4.0-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:31:46 +0000

pycares (4.4.0-2) unstable; urgency=medium

  * Orphan the package, see #1074758
    - Remove myself from uploaders and update maintainer to Debian QA Group
    - Update Vcs-* to Debian group

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jul 2024 09:58:17 -0400

pycares (4.4.0-1) unstable; urgency=medium

  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: # 1048868)
  * New upstream release
  * Add Forwarded tag to header of existing patches
  * Add d/p/0004-Fix-test_query_txt_chunked-expected-result.patch,
    0005-Update-test_query_ptr-to-use-address-with-PTR.patch, and
    0006-Update-test_idna_encoding_query_a-to-expect-ARES_EBA.patch to
    address test failures

 -- Scott Kitterman <scott@kitterman.com>  Tue, 02 Jan 2024 01:14:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycares
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>, Tanguy Ortolo <tanguy+debian@ortolo.eu>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
@@ -18,8 +17,8 @@
  python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2
 Homepage: https://github.com/saghul/pycares
-Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
+Vcs-Git: https://salsa.debian.org/debian/pycares.git
+Vcs-Browser: https://salsa.debian.org/debian/pycares
 Rules-Requires-Root: no
 
 Package: python3-pycares

## pycares 4.9.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pycares.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pycares.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pycares"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pycares"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== deps/c-ares/include/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
# Write ares_build.h configuration file.  This is an installed file.
CONFIGURE_FILE (ares_build.h.cmake ${PROJECT_BINARY_DIR}/ares_build.h)

# Headers installation target
IF (CARES_INSTALL)
	SET (CARES_HEADERS ares.h ares_version.h "${PROJECT_BINARY_DIR}/ares_build.h" ares_dns.h ares_dns_record.h ares_nameser.h)
	INSTALL (FILES ${CARES_HEADERS} COMPONENT Devel DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
ENDIF ()

=== deps/c-ares/src/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT
ADD_SUBDIRECTORY (lib)
ADD_SUBDIRECTORY (tools)

=== deps/c-ares/test/CMakeLists.txt ===
# Copyright (C) The c-ares project and its contributors
# SPDX-License-Identifier: MIT

# Get rid of: warning C4530: C++ exception handler used, but unwind semantics are not enabled. Specify /EHsc
IF (MSVC)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /EHsc")
ENDIF ()

find_package(Threads)
find_package(GTest REQUIRED)

IF (CMAKE_VERSION VERSION_LESS "3.23.0")
  Message("GoogleTest found, cmake version too old to verify GMock, look for errors...")
ELSE ()
  IF (NOT TARGET GTest::gmock)
    Message(FATAL_ERROR "GoogleTest found but the GMock component was not found")
  ENDIF()
ENDIF()

# create target to access and use internal cares library
add_library(caresinternal INTERFACE)
target_compile_definitions(caresinternal INTERFACE HAVE_CONFIG_H=1)

target_include_directories(caresinternal
   INTERFACE "${PROJECT_BINARY_DIR}"
             "${PROJECT_BINARY_DIR}/src/lib"
             "${PROJECT_SOURCE_DIR}"
             "${PROJECT_SOURCE_DIR}/src/lib"
             "${PROJECT_SOURCE_DIR}/src/lib/include"
             "${PROJECT_SOURCE_DIR}/include"
)

IF (CARES_STATIC)
  target_link_libraries(caresinternal INTERFACE ${PROJECT_NAME}::cares_static)
ELSE ()
  target_link_libraries(caresinternal INTERFACE ${PROJECT_NAME}::cares)
ENDIF ()

transform_makefile_inc("Makefile.inc" "${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake")
include(${CMAKE_CURRENT_BINARY_DIR}/Makefile.inc.cmake)

add_executable(arestest ${TESTSOURCES} ${TESTHEADERS})
target_include_directories(arestest PRIVATE ${CMAKE_CURRENT_BINARY_DIR})
IF (CMAKE_VERSION VERSION_LESS "3.23.0")
  FIND_LIBRARY(LIBGMOCK NAMES gmock PATHS ${GTEST_ROOT} PATH_SUFFIXES lib)
  IF (LIBGMOCK-NOTFOUND)
    MESSAGE(FATAL_ERROR "Could not find Gmock")
  ENDIF ()
  target_link_libraries(arestest PRIVATE caresinternal GTest::GTest ${LIBGMOCK})
ELSE ()
  target_link_libraries(arestest PRIVATE caresinternal GTest::gmock)
ENDIF()
target_compile_definitions(arestest PRIVATE CARES_NO_DEPRECATED)

IF (CARES_BUILD_CONTAINER_TESTS)
  target_compile_definitions(arestest PRIVATE HAVE_USER_NAMESPACE HAVE_UTS_NAMESPACE)
ENDIF ()
# Avoid "fatal error C1041: cannot open program database" due to multiple
# targets trying to use the same PDB.  /FS does NOT resolve this issue.
set_target_properties(arestest PROPERTIES COMPILE_PDB_NAME arestest.pdb)

add_executable(aresfuzz ${FUZZSOURCES})
target_compile_definitions(aresfuzz PRIVATE CARES_NO_DEPRECATED)
target_link_libraries(aresfuzz PRIVATE caresinternal)
# Avoid "fatal error C1041: cannot open program database" due to multiple
# targets trying to use the same PDB.  /FS does NOT resolve this issue.
set_target_properties(aresfuzz PROPERTIES COMPILE_PDB_NAME aresfuzz.pdb)

add_executable(aresfuzzname ${FUZZNAMESOURCES})
target_compile_definitions(aresfuzzname PRIVATE CARES_NO_DEPRECATED)
target_link_libraries(aresfuzzname PRIVATE caresinternal)
# Avoid "fatal error C1041: cannot open program database" due to multiple
# targets trying to use the same PDB.  /FS does NOT resolve this issue.
set_target_properties(aresfuzzname PROPERTIES COMPILE_PDB_NAME aresfuzzname.pdb)

add_executable(dnsdump ${DUMPSOURCES})
target_compile_definitions(dnsdump PRIVATE CARES_NO_DEPRECATED)
target_link_libraries(dnsdump PRIVATE caresinternal)
# Avoid "fatal error C1041: cannot open program database" due to multiple
# targets trying to use the same PDB.  /FS does NOT resolve this issue.
set_target_properties(dnsdump PROPERTIES COMPILE_PDB_NAME dnsdump.pdb)

add_executable(ares_queryloop ${LOOPSOURCES})
target_compile_definitions(ares_queryloop PRIVATE CARES_NO_DEPRECATED)
target_link_libraries(ares_queryloop PRIVATE caresinternal)
# Avoid "fatal error C1041: cannot open program database" due to multiple
# targets trying to use the same PDB.  /FS does NOT resolve this issue.
set_target_properties(ares_queryloop PROPERTIES COMPILE_PDB_NAME ares_queryloop.pdb)




# register tests

add_test(NAME arestest COMMAND $<TARGET_FILE:arestest>)

file(GLOB_RECURSE FUZZINPUT_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/fuzzinput" "fuzzinput/*")
add_test(
  NAME aresfuzz
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/fuzzinput"
  COMMAND $<TARGET_FILE:aresfuzz> ${FUZZINPUT_FILES}
)

file(GLOB_RECURSE FUZZNAMES_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/fuzznames" "fuzznames/*")
add_test(
  NAME aresfuzzname
  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/fuzznames"
  COMMAND $<TARGET_FILE:aresfuzzname> ${FUZZNAMES_FILES}
)

=== debian/changelog ===
pycares (4.9.0-1) unstable; urgency=medium

  * New maintainer upload. (Closes: #1074758)
  * New upstream version.
  * debian/control: Update to new standards
    - Bump debhelper-compat from 12 to 13.
    - Bump standards version to 4.7.2, no changes required.
    - Remove 'Rules-Requires-Root: no'.
    - Add Manuel Guerra to uploaders.
    - Move repository back to 'Debian Python Team' namespace.
    - Add dh-sequence-sphinxdoc to dependencies.
    - Change python-pycares-doc package to python3-pycares-doc.
    - Add built-using-sphinxdoc.
    - Fix multiarch hinter for python3-pycares-doc.
  * debian/copyright: Update information of copyright holders
    - Add Manuel Guerra to 'debian/*' stanzas.
    - Add email to upstream author.
    - Remove copyright stanzas for license files.
  * debian/patches: Remove unused patches and add new ones:
    - Remove 0003-Allow-connection-refused-badresolv.conf.patch
    - Remove 0004-Fix-test_query_txt_chunked-expected-result.patch
    - Remove 0005-Update-test_query_ptr-to-use-address-with-PTR.patch
    - Remove 0006-Update-test_idna_encoding_query_a-to-expect-ARES_EBA.patch
    - Add 0003-fix-spf-test.patch
    - Add 0004-change-shebang-to-python3.patch
  * debian/salsa-ci.yml: Add file to manage Salsa's CI.
  * debian/gbp.conf: Update to full configuration.
  * debian/rules: Simplify dh rules.
  * debian/source/lintian-overrides: Clean lintian tags relatives to Sphinx.
  * debian/upstream/metadata: Add upstream metadata file.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sun, 19 Oct 2025 12:11:49 -0400

=== debian/control ===
Source: pycares
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               dh-python,
               pybuild-plugin-pyproject,
               libc-ares-dev,
               python3-all,
               python3-all-dev,
               python3-cffi,
               python3-docutils,
               python3-idna,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Homepage: https://github.com/saghul/pycares
Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
Standards-Version: 4.7.2

Package: python3-pycares
Architecture: any
Depends: python3-idna,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-pycares-doc,
          netbase
Description: Python interface for c-ares (Python 3)
 pycares is a Python module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This package installs the library for Python 3.

Package: python-pycares-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Python interface for c-ares (common documentation)
 pycares is a Python 3 module which provides an interface to c-ares. c-ares is
 a C library that performs DNS requests and name resolutions asynchronously.
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export PYCARES_USE_SYSTEM_LIB = 1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	$(MAKE) -C docs html
@@ -18,8 +18,8 @@
 override_dh_auto_clean-indep:
 	$(MAKE) -C docs clean
 
-# No tests needed for docs
-override_dh_auto_test-indep:
+# Tests require network, tested by debci
+override_dh_auto_test:
 
 override_dh_installdocs:
 	dh_installdocs -ppython-pycares-doc --doc-main-package=python3-pycares

=== debian/tests/control ===
Tests: run-pytest
Depends: @, python3-all, netbase
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
Version: 5
Source: https://pypi.debian.net/pycares
Matching-Pattern: .*/pycares-*@ANY_VERSION@\.tar\.gz
Uversion-Mangle: auto

## pycares 5.0.0

=== debian/changelog ===
pycares (5.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Mon, 22 Dec 2025 00:34:54 +0000

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,8 @@
          ${shlibs:Depends}
 Suggests: python-pycares-doc,
           netbase
+Breaks: python3-aiodns (<< 3.6.1)
+Replaces: python3-aiodns (<< 3.6.1)
 Description: Python interface for c-ares (Python 3)
  pycares is a Python module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,8 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
-# output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+all
 export PYBUILD_NAME = pycares
-
 export PYCARES_USE_SYSTEM_LIB = 1
 
 %:

## pycares 5.0.1

=== deps/c-ares/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # Copyright (C) The c-ares project and its contributors
 # SPDX-License-Identifier: MIT
+
+enable_language(CXX)
 
 # Get rid of: warning C4530: C++ exception handler used, but unwind semantics are not enabled. Specify /EHsc
 IF (MSVC)
@@ -50,6 +52,7 @@
 ELSE ()
   target_link_libraries(arestest PRIVATE caresinternal GTest::gmock)
 ENDIF()
+target_compile_features(arestest PRIVATE cxx_std_14)
 target_compile_definitions(arestest PRIVATE CARES_NO_DEPRECATED)
 
 IF (CARES_BUILD_CONTAINER_TESTS)
@@ -75,6 +78,7 @@
 
 add_executable(dnsdump ${DUMPSOURCES})
 target_compile_definitions(dnsdump PRIVATE CARES_NO_DEPRECATED)
+target_compile_features(dnsdump PRIVATE cxx_std_14)
 target_link_libraries(dnsdump PRIVATE caresinternal)
 # Avoid "fatal error C1041: cannot open program database" due to multiple
 # targets trying to use the same PDB.  /FS does NOT resolve this issue.

=== debian/changelog ===
pycares (5.0.1-3) unstable; urgency=medium

  * Remove redundant section priority in control file.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 22 Jan 2026 11:38:14 +0000

pycares (5.0.1-2) unstable; urgency=medium

  * Upload to unstable. (Closes: #1124462)
  * debian/control: Update packaging:
    - Bump standards version to 4.7.3, no changes needed.
    - Remove tag Build Using Sphinx.
  * debian/source/lintian-overrides: Remove lintian-overrides.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Tue, 06 Jan 2026 00:57:15 +0000

pycares (5.0.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches: Apply patch to skip tests that require network.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Thu, 01 Jan 2026 19:21:00 +0000

pycares (5.0.0-3) unstable; urgency=medium

  * Fix assertion error in test idna2008.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Sat, 27 Dec 2025 19:21:00 +0000

pycares (5.0.0-2) unstable; urgency=medium

  * debian/control: Update VCS info and remove Replaces and Breaks fields.

 -- Manuel Guerra <ar.manuelguerra@gmail.com>  Mon, 22 Dec 2025 18:10:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pycares
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Manuel Guerra <ar.manuelguerra@gmail.com>
 Build-Depends: debhelper-compat (= 13),
@@ -12,15 +11,16 @@
                python3-all,
                python3-all-dev,
                python3-cffi,
+               python3-cffi-backend,
                python3-docutils,
                python3-idna,
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
 Homepage: https://github.com/saghul/pycares
-Vcs-Browser: https://salsa.debian.org/python-team/packages/pycares
-Vcs-Git: https://salsa.debian.org/python-team/packages/pycares.git
-Standards-Version: 4.7.2
+Vcs-Browser: https://salsa.debian.org/debian/pycares
+Vcs-Git: https://salsa.debian.org/debian/pycares.git
+Standards-Version: 4.7.3
 
 Package: python3-pycares
 Architecture: any
@@ -30,8 +30,6 @@
          ${shlibs:Depends}
 Suggests: python-pycares-doc,
           netbase
-Breaks: python3-aiodns (<< 3.6.1)
-Replaces: python3-aiodns (<< 3.6.1)
 Description: Python interface for c-ares (Python 3)
  pycares is a Python module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.
@@ -44,7 +42,6 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Python interface for c-ares (common documentation)
  pycares is a Python 3 module which provides an interface to c-ares. c-ares is
  a C library that performs DNS requests and name resolutions asynchronously.

=== debian/tests/control ===
Tests: run-pytest
Depends: @, python3-all, netbase, python3-cffi-backend
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
Version: 5

Template: Pypi
Dist: pycares
Dversion-Mangle: auto
Version-Type: STABLE_VERSION
